Package ru.bgcrm.model.process

# Class TypeProperties

java.lang.Object
ru.bgcrm.model.process.TypeProperties

public class TypeProperties extends Object
Process type properties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TypeProperties()`
  `TypeProperties(String data, String config, LastModify lastModify)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearTransactionProperties()`
  `ProcessGroups`
  `getAllowedGroups()`
  `ProcessGroups`
  `getAllowedGroups(int roleId)`
  `Set<Integer>`
  `getAllowedStatusSet(int fromStatus)`
  `Set<Integer>`
  `getCloseStatusIds()`
  `String`
  `getConfig()`
  `ConfigMap`
  `getConfigMap()`
  `int`
  `getCreateStatusId()`
  `ProcessGroups`
  `getGroups()`
  `ProcessGroups`
  `getGroups(int roleId)`
  `LastModify`
  `getLastModify()`
  `List<Integer>`
  `getParameterIds()`
  `List<Integer>`
  `getStatusIds()`
  `TransactionProperties`
  `getTransactionProperties(int fromStatus, int toStatus)`
  Gets transaction properties.
  `Wizard`
  `getWizard()`
  `String`
  `serializeToData()`
  `void`
  `setAllowedGroups(ProcessGroups allowedGroups)`
  `void`
  `setCloseStatusIds(Set<Integer> closeStatusIds)`
  `void`
  `setConfig(String config)`
  `void`
  `setConfigMap(ConfigMap configMap)`
  `void`
  `setCreateStatusId(int createStatus)`
  `void`
  `setGroups(ProcessGroups groups)`
  `void`
  `setLastModify(LastModify lastModify)`
  `void`
  `setParameterIds(List<Integer> parameterIds)`
  `void`
  `setStatusIds(List<Integer> statusIds)`
  `void`
  `setTransactionProperties(int fromStatus, int toStatus, boolean enabled)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TypeProperties

    public TypeProperties()

  - ### TypeProperties

    public TypeProperties(String data, String config, LastModify lastModify)

- ## Method Details

  - ### serializeToData

    public String serializeToData()

  - ### getTransactionProperties

    public TransactionProperties getTransactionProperties(int fromStatus, int toStatus)
    Gets transaction properties.
    Parameters:
      `fromStatus` -
      `toStatus` -
    Returns:
      true, if transaction is enabled or do not defined.

  - ### setTransactionProperties

    public void setTransactionProperties(int fromStatus, int toStatus, boolean enabled)

  - ### clearTransactionProperties

    public void clearTransactionProperties()

  - ### getAllowedStatusSet

    public Set<Integer> getAllowedStatusSet(int fromStatus)

  - ### getStatusIds

    public List<Integer> getStatusIds()

  - ### setStatusIds

    public void setStatusIds(List<Integer> statusIds)

  - ### getParameterIds

    public List<Integer> getParameterIds()

  - ### setParameterIds

    public void setParameterIds(List<Integer> parameterIds)

  - ### getCreateStatusId

    public int getCreateStatusId()

  - ### setCreateStatusId

    public void setCreateStatusId(int createStatus)

  - ### getCloseStatusIds

    public Set<Integer> getCloseStatusIds()

  - ### setCloseStatusIds

    public void setCloseStatusIds(Set<Integer> closeStatusIds)

  - ### getConfig

    public String getConfig()

  - ### setConfig

    public void setConfig(String config)

  - ### getConfigMap

    public ConfigMap getConfigMap()

  - ### setConfigMap

    public void setConfigMap(ConfigMap configMap)

  - ### getGroups

    public ProcessGroups getGroups()
    Returns:
      initial process groups.

  - ### getGroups

    public ProcessGroups getGroups(int roleId)

  - ### setGroups

    public void setGroups(ProcessGroups groups)

  - ### getAllowedGroups

    public ProcessGroups getAllowedGroups()

  - ### getAllowedGroups

    public ProcessGroups getAllowedGroups(int roleId)

  - ### setAllowedGroups

    public void setAllowedGroups(ProcessGroups allowedGroups)

  - ### getLastModify

    public LastModify getLastModify()

  - ### setLastModify

    public void setLastModify(LastModify lastModify)

  - ### getWizard

    public Wizard getWizard()